Auteur Sujet: dpkg: erreur de traitement du paquet.... Mon Kali ne marche pas!  (Lu 6005 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne chinchilaz
  • Nouvel inscrit
  • Messages: 2
  • +0/-0
Bonjour,
Je suis nouveau sur Kali Linux. J'ai eu du mal à l'installer sur mon MacBook Pro mais ça y est c'est enfin fait!
Mon problème maintenant est que quand je veux installer un programme ça ne marche pas, j'ai cela qui s'affiche à la fin :
Ca me le fait tout le temps...


Paramétrage de keyboard-configuration (1.170) ...
/var/lib/dpkg/info/keyboard-configuration.config: 6: /etc/default/keyboard: Syntax error: Unterminated quoted string
dpkg: erreur de traitement du paquet keyboard-configuration (--configure) :
 installed keyboard-configuration package post-installation script subprocess returned error exit status 2
dpkg: des problèmes de dépendances empêchent la configuration de xserver-xorg-core :
 xserver-xorg-core dépend de keyboard-configuration ; cependant :
 Le paquet keyboard-configuration n'est pas encore configuré.

dpkg: erreur de traitement du paquet xserver-xorg-core (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de xserver-xorg-video-radeon :
 xserver-xorg-video-radeon dépend de xorg-video-abi-23 ; cependant :
  Le paquet xorg-video-abi-23 n'est pas installé.
  Le paquet xserver-xorg-core qui fournit xorg-video-abi-23 n'est pas encore configuré.
 xserver-xorg-video-radeon dépend de xserver-xorg-core (>= 2:1.18.99.901) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.

dpkg: erreur de traitement du paquet xserver-xorg-video-radeon (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de xserver-xorg-video-amdgpu :
 xserver-xorg-video-amdgpu dépend de xorg-video-abi-23 ; cependant :
  Le paquet xorg-video-abi-23 n'est pas installé.
  Le paquet xserver-xorg-core qui fournit xorg-video-abi-23 n'est pas encore configuré.
 xserver-xorg-video-amdgpu dépend de xserver-xorg-core (>= 2:1.18.99.901) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.

dpkg: erreur de traitement du paquet xserver-xorg-video-amdgpu (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de console-setup-linux :
 console-setup-linux dépend de keyboard-configuration (= 1.170) ; cependant :
 Le paquet keyboard-configuration n'est pas encore configuré.

dpkg: erreur de traitement du paquet console-setup-linux (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de xserver-xorg-video-ati :
 xserver-xorg-video-ati dépend de xorg-video-abi-23 ; cependant :
  Le paquet xorg-video-abi-23 n'est pas installé.
  Le paquet xserver-xorg-core qui fournit xorg-video-abi-23 n'est pas encore configuré.
 xserver-xorg-video-ati dépend de xserver-xorg-core (>= 2:1.18.99.901) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.
 xserver-xorg-video-ati dépend de xserver-xorg-video-radeon ; cependant :
 Le paquet xserver-xorg-video-radeon n'est pas encore configuré.

dpkg: erreur de traitement du paquet xserver-xorg-video-ati (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de console-setup :
 console-setup dépend de console-setup-linux | console-setup-freebsd | hurd ; cependant :
 Le paquet console-setup-linux n'est pas encore configuré.
  Le paquet console-setup-freebsd n'est pas installé.
  Le paquet hurd n'est pas installé.
 console-setup dépend de keyboard-configuration (= 1.170) ; cependant :
 Le paquet keyboard-configuration n'est pas encore configuré.

dpkg: erreur de traitement du paquet console-setup (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de xserver-xorg-input-libinput :
 xserver-xorg-input-libinput dépend de xorg-input-abi-24 ; cependant :
  Le paquet xorg-input-abi-24 n'est pas installé.
  Le paquet xserver-xorg-core qui fournit xorg-input-abi-24 n'est pas encore configuré.
 xserver-xorg-input-libinput dépend de xserver-xorg-core (>= 2:1.18.99.901) ; cependant :
 Le paquet xserver-xorg-core n'est pas encore configuré.

dpkg: erreur de traitement du paquet xserver-xorg-input-libinput (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de kali-desktop-live :
 kali-desktop-live dépend de console-setup ; cependant :
 Le paquet console-setup n'est pas encore configuré.

dpkg: erreur de traitement du paquet kali-desktop-live (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 keyboard-configuration
 xserver-xorg-core
 xserver-xorg-video-radeon
 xserver-xorg-video-amdgpu
 console-setup-linux
 xserver-xorg-video-ati
 console-setup
 xserver-xorg-input-libinput
 kali-desktop-live
E: Sub-process /usr/bin/dpkg returned an error code (1) 


Donc en gros j'ai aucune idée de comment réparer ça, surotut que je ne trouve pas quand je cherche sur le net!
J'espère trouver de l'aide ici, merci d'avance :)

Hors ligne crash
  • Membre Junior
  • *
  • Messages: 10
  • +0/-0
Re : dpkg: erreur de traitement du paquet.... Mon Kali ne marche pas!
« Réponse #1 le: 14 nov. 2017 à 21:00:41 »
Bonjour,

Tu as des paquets non installés sur ta distrib.

Citer
Le paquet xorg-video-abi-23 n'est pas installé.

Hors ligne chinchilaz
  • Nouvel inscrit
  • Messages: 2
  • +0/-0
Re : dpkg: erreur de traitement du paquet.... Mon Kali ne marche pas!
« Réponse #2 le: 15 nov. 2017 à 16:15:57 »
Comment je fais pour l'installer du coup ?
Merci beaucoup !

Hors ligne Axel
  • Membre Régulier
  • **
  • Messages: 51
  • +2/-0
Re : dpkg: erreur de traitement du paquet.... Mon Kali ne marche pas!
« Réponse #3 le: 19 janv. 2018 à 11:18:45 »
Quand il te manque des dépendances tu fais à la fin "sudo apt-get install -f" et cela devrait être bon.